
import java.awt.event.*;
import javax.swing.JSlider;
import javax.swing.event.ChangeListener;
import javax.swing.event.ChangeEvent;

public class SliderChangeListener implements ChangeListener
{
   private final CircleState cs;
   private final CirclePanel cp;

   public SliderChangeListener(CircleState cs, CirclePanel cp)
   {
      this.cs = cs;
      this.cp = cp;
   }

   @Override public void stateChanged(ChangeEvent e)
   {
      JSlider source = (JSlider)e.getSource();
      cs.diameter = source.getValue();
      cp.repaint();
   }
}
